## mupen64plus-video-glide64mk2 2.0

=== projects/unix/Makefile ===
#/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
# *   Mupen64plus-video-glide64mk2 - Makefile                               *
# *   Mupen64Plus homepage: http://code.google.com/p/mupen64plus/           *
# *   Copyright (C) 2010 Jon Ring                                           *
# *   Copyright (C) 2007-2009 Richard Goedeken                              *
# *   Copyright (C) 2007-2008 DarkJeztr Tillin9                             *
# *                                                                         *
# *   This program is free software; you can redistribute it and/or modify  *
# *   it under the terms of the GNU General Public License as published by  *
# *   the Free Software Foundation; either version 2 of the License, or     *
# *   (at your option) any later version.                                   *
# *                                                                         *
# *   This program is distributed in the hope that it will be useful,       *
# *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
# *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
# *   GNU General Public License for more details.                          *
# *                                                                         *
# *   You should have received a copy of the GNU General Public License     *
# *   along with this program; if not, write to the                         *
# *   Free Software Foundation, Inc.,                                       *
# *   51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.          *
# * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */
# Makefile for Glide64mk2 plugin in Mupen64Plus

# detect operating system
UNAME ?= $(shell uname -s)
OS := NONE
ifeq ("$(UNAME)","Linux")
  OS = LINUX
  SO_EXTENSION = so
  SHARED = -shared
endif
ifeq ("$(UNAME)","linux")
  OS = LINUX
  SO_EXTENSION = so
  SHARED = -shared
endif
ifneq ("$(filter GNU hurd,$(UNAME))","")
  OS = LINUX
  SO_EXTENSION = so
  SHARED = -shared
endif
ifeq ("$(UNAME)","Darwin")
  OS = OSX
  SO_EXTENSION = dylib
  SHARED = -bundle
  BOOST_SUFFIX = -mt
endif
ifeq ("$(UNAME)","FreeBSD")
  OS = FREEBSD
  SO_EXTENSION = so
  SHARED = -shared
endif
ifeq ("$(UNAME)","OpenBSD")
  OS = FREEBSD
  SO_EXTENSION = so
  SHARED = -shared
  $(warning OS type "$(UNAME)" not officially supported.')
endif
ifneq ("$(filter GNU/kFreeBSD kfreebsd,$(UNAME))","")
  OS = LINUX
  SO_EXTENSION = so
  SHARED = -shared
endif
ifeq ("$(patsubst MINGW%,MINGW,$(UNAME))","MINGW")
  OS = MINGW
  SO_EXTENSION = dll
  SHARED = -shared
  PIC = 0
  BOOST_SUFFIX = -mt
  CPPFLAGS += -DNO_FILTER_THREAD
endif
ifeq ("$(OS)","NONE")
  $(error OS type "$(UNAME)" not supported.  Please file bug report at 'http://code.google.com/p/mupen64plus/issues')
endif

# detect system architecture
HOST_CPU ?= $(shell uname -m)
CPU := NONE
ifneq ("$(filter x86_64 amd64,$(HOST_CPU))","")
  CPU := X86
  ifeq ("$(BITS)", "32")
    ARCH_DETECTED := 64BITS_32
    PIC ?= 0
  else
    ARCH_DETECTED := 64BITS
    PIC ?= 1
  endif
endif
ifneq ("$(filter pentium i%86,$(HOST_CPU))","")
  CPU := X86
  ARCH_DETECTED := 32BITS
  PIC ?= 0
endif
ifneq ("$(filter ppc powerpc,$(HOST_CPU))","")
  CPU := PPC
  ARCH_DETECTED := 32BITS
  BIG_ENDIAN := 1
  PIC ?= 1
  NO_ASM := 1
  $(warning Architecture "$(HOST_CPU)" not officially supported.')
endif
ifneq ("$(filter ppc64 powerpc64,$(HOST_CPU))","")
  CPU := PPC
  ARCH_DETECTED := 64BITS
  BIG_ENDIAN := 1
  PIC ?= 1
  NO_ASM := 1
  $(warning Architecture "$(HOST_CPU)" not officially supported.')
endif
ifneq ("$(filter arm%,$(HOST_CPU))","")
  ifeq ("$(filter arm%b,$(HOST_CPU))","")
    CPU := ARM
    ARCH_DETECTED := 32BITS
    PIC ?= 1
    NO_ASM := 1
    $(warning Architecture "$(HOST_CPU)" not officially supported.')
  endif
endif
ifeq ("$(CPU)","NONE")
  $(error CPU type "$(HOST_CPU)" not supported.  Please file bug report at 'http://code.google.com/p/mupen64plus/issues')
endif

# base CFLAGS, LDLIBS, and LDFLAGS
OPTFLAGS ?= -O3 -flto
WARNFLAGS ?= -Wall
CFLAGS += $(OPTFLAGS) $(WARNFLAGS) -ffast-math -fno-strict-aliasing -fvisibility=hidden -I../../src -I../../src/Glitch64/inc -DGCC
CXXFLAGS += -fvisibility-inlines-hidden -std=gnu++0x
LDFLAGS += $(SHARED)
BOOST_SUFFIX ?=

ifeq ($(CPU), X86)
  CFLAGS +=  -mmmx -msse
endif

# Since we are building a shared library, we must compile with -fPIC on some architectures
# On 32-bit x86 systems we do not want to use -fPIC because we don't have to and it has a big performance penalty on this arch
ifeq ($(PIC), 1)
  CFLAGS += -fPIC
else
  CFLAGS += -fno-PIC
endif

ifeq ($(BIG_ENDIAN), 1)
  CFLAGS += -DM64P_BIG_ENDIAN
endif

# tweak flags for 32-bit build on 64-bit system
ifeq ($(ARCH_DETECTED), 64BITS_32)
  ifeq ($(OS), FREEBSD)
    $(error Do not use the BITS=32 option with FreeBSD, use -m32 and -m elf_i386)
  endif
  CFLAGS += -m32
  LDFLAGS += -Wl,-m,elf_i386
endif

# set special flags per-system
ifeq ($(OS), LINUX)
  # only export api symbols
  LDFLAGS += -Wl,-version-script,$(SRCDIR)/video_api_export.ver
  LDLIBS += -ldl
endif
ifeq ($(OS), OSX)
  # Select the proper SDK
  # Also, SDKs are stored in a different location since XCode 4.3
  OSX_SDK ?= $(shell sw_vers -productVersion | cut -f1 -f2 -d .)
  OSX_XCODEMAJ = $(shell xcodebuild -version | grep '[0-9]*\.[0-9]*' | cut -f2 -d ' ' | cut -f1 -d .)
  OSX_XCODEMIN = $(shell xcodebuild -version | grep '[0-9]*\.[0-9]*' | cut -f2 -d ' ' | cut -f2 -d .)
  OSX_XCODEGE43 = $(shell echo "`expr $(OSX_XCODEMAJ) \>= 4``expr $(OSX_XCODEMIN) \>= 3`")
  ifeq ($(OSX_XCODEGE43), 11)
    OSX_SYSROOT := /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs
  else
    OSX_SYSROOT := /Developer/SDKs
  endif

  CXXFLAGS += -std=c++11 -stdlib=libc++
  ifeq ($(CPU), X86)
    LDFLAGS += -bundle -L/opt/local/lib
    LDLIBS += -ldl
    ifeq ($(ARCH_DETECTED), 64BITS)
      CFLAGS += -pipe -arch x86_64 -mmacosx-version-min=$(OSX_SDK) -isysroot $(OSX_SYSROOT)/MacOSX$(OSX_SDK).sdk
    else
      CFLAGS += -pipe -mmmx -msse -fomit-frame-pointer -arch i686 -mmacosx-version-min=$(OSX_SDK) -isysroot $(OSX_SYSROOT)/MacOSX$(OSX_SDK).sdk
    endif
  endif
endif
ifeq ($(OS), FREEBSD)
  LDLIBS += -lc
endif

ifeq ($(origin PKG_CONFIG), undefined)
  PKG_CONFIG = $(CROSS_COMPILE)pkg-config
  ifeq ($(shell which $(PKG_CONFIG) 2>/dev/null),)
    $(error $(PKG_CONFIG) not found)
  endif
endif

ifeq ($(OS), OSX) # use system zlib on OSX
  ZLIB_LDLIBS += -lz
endif

ifeq ($(origin ZLIB_CFLAGS) $(origin ZLIB_LDLIBS), undefined undefined)
  ifeq ($(shell $(PKG_CONFIG) --modversion zlib 2>/dev/null),)
    $(error No zlib development libraries found!)
  endif
  ZLIB_CFLAGS += $(shell $(PKG_CONFIG) --cflags zlib)
  ZLIB_LDLIBS +=  $(shell $(PKG_CONFIG) --libs zlib)
endif
CFLAGS += $(ZLIB_CFLAGS)
LDLIBS += $(ZLIB_LDLIBS)

ifeq ($(origin LIBPNG_CFLAGS) $(origin LIBPNG_LDLIBS), undefined undefined)
  ifeq ($(shell $(PKG_CONFIG) --modversion libpng 2>/dev/null),)
    $(error No libpng development libraries found!)
  endif
  LIBPNG_CFLAGS += $(shell $(PKG_CONFIG) --cflags libpng)
  LIBPNG_LDLIBS +=  $(shell $(PKG_CONFIG) --libs libpng)
endif
CFLAGS += $(LIBPNG_CFLAGS)
LDLIBS += $(LIBPNG_LDLIBS)


# search for OpenGL libraries
ifeq ($(OS), OSX)
  GL_LDLIBS = -framework OpenGL
endif
ifeq ($(OS), MINGW)
  GL_LDLIBS = -lopengl32
endif
ifeq ($(origin GL_CFLAGS) $(origin GL_LDLIBS), undefined undefined)
  ifeq ($(shell $(PKG_CONFIG) --modversion gl 2>/dev/null),)
    $(error No OpenGL development libraries found!)
  endif
  GL_CFLAGS += $(shell $(PKG_CONFIG) --cflags gl)
  GL_LDLIBS +=  $(shell $(PKG_CONFIG) --libs gl)
endif
CFLAGS += $(GL_CFLAGS)
LDLIBS += $(GL_LDLIBS)

# test for presence of SDL
ifeq ($(origin SDL_CFLAGS) $(origin SDL_LDLIBS), undefined undefined)
  SDL_CONFIG = $(CROSS_COMPILE)sdl-config
  ifeq ($(shell which $(SDL_CONFIG) 2>/dev/null),)
    $(error No SDL development libraries found!)
  endif
  ifeq ($(OS),OSX)
    SDL_CFLAGS  += $(shell $(SDL_CONFIG) --cflags)
    # sdl-config on mac screws up when we're trying to build a library and not an executable
    # SDL 1.3 is supposed to fix that, if it's ever released
    SDL_LDLIBS += -L/usr/local/lib -lSDL -Wl,-framework,Cocoa
  else
    SDL_CFLAGS  += $(shell $(SDL_CONFIG) --cflags)
    SDL_LDLIBS += $(shell $(SDL_CONFIG) --libs)
  endif
endif
CFLAGS += $(SDL_CFLAGS)
LDLIBS += $(SDL_LDLIBS)

ifneq ($(OS), MINGW)
  CPPFLAGS += -D__unix__
endif

# set mupen64plus core API header path
ifneq ("$(APIDIR)","")
  CFLAGS += "-I$(APIDIR)"
else
  TRYDIR = ../../../mupen64plus-core/src/api
  ifneq ("$(wildcard $(TRYDIR)/m64p_types.h)","")
    CFLAGS += -I$(TRYDIR)
  else
    TRYDIR = /usr/local/include/mupen64plus
    ifneq ("$(wildcard $(TRYDIR)/m64p_types.h)","")
      CFLAGS += -I$(TRYDIR)
    else
      TRYDIR = /usr/include/mupen64plus
      ifneq ("$(wildcard $(TRYDIR)/m64p_types.h)","")
        CFLAGS += -I$(TRYDIR)
      else
        $(error Mupen64Plus API header files not found! Use makefile parameter APIDIR to force a location.)
      endif
    endif
  endif
endif

# reduced compile output when running make without V=1
ifneq ($(findstring $(MAKEFLAGS),s),s)
ifndef V
	Q_CC  = @echo '    CC  '$@;
	Q_CXX = @echo '    CXX '$@;
	Q_LD  = @echo '    LD  '$@;
endif
endif

# set base program pointers and flags
CC        = $(CROSS_COMPILE)gcc
CXX       = $(CROSS_COMPILE)g++
RM       ?= rm -f
INSTALL  ?= install
MKDIR ?= mkdir -p
COMPILE.c = $(Q_CC)$(CC) $(CFLAGS) $(CPPFLAGS) $(TARGET_ARCH) -c
COMPILE.cc = $(Q_CXX)$(CXX) $(CXXFLAGS) $(CPPFLAGS) $(TARGET_ARCH) -c
LINK.o = $(Q_LD)$(CXX) $(CXXFLAGS) $(LDFLAGS) $(TARGET_ARCH)

# set special flags for given Makefile parameters
ifeq ($(DEBUG),1)
  CFLAGS += -g
  INSTALL_STRIP_FLAG ?= 
else
  ifneq ($(OS),OSX)
    INSTALL_STRIP_FLAG ?= -s
  endif
endif
ifeq ($(NO_ASM), 1)
  CFLAGS += -DNO_ASM
endif

# set installation options
ifeq ($(PREFIX),)
  PREFIX := /usr/local
endif
ifeq ($(SHAREDIR),)
  SHAREDIR := $(PREFIX)/share/mupen64plus
endif
ifeq ($(LIBDIR),)
  LIBDIR := $(PREFIX)/lib
endif
ifeq ($(PLUGINDIR),)
  PLUGINDIR := $(LIBDIR)/mupen64plus
endif

SRCDIR = ../../src
OBJDIR = _obj$(POSTFIX)

# list of source files to compile
SOURCE = \
	$(SRCDIR)/Glitch64/combiner.cpp \
	$(SRCDIR)/Glitch64/geometry.cpp \
	$(SRCDIR)/Glitch64/glitchmain.cpp \
	$(SRCDIR)/Glitch64/textures.cpp \
	$(SRCDIR)/Glide64/3dmath.cpp \
	$(SRCDIR)/Glide64/Combine.cpp \
	$(SRCDIR)/Glide64/Config.cpp \
	$(SRCDIR)/Glide64/CRC.cpp \
	$(SRCDIR)/Glide64/Debugger.cpp \
	$(SRCDIR)/Glide64/DepthBufferRender.cpp \
	$(SRCDIR)/Glide64/FBtoScreen.cpp \
	$(SRCDIR)/Glide64/Ini.cpp \
	$(SRCDIR)/Glide64/Keys.cpp \
	$(SRCDIR)/Glide64/Main.cpp \
	$(SRCDIR)/Glide64/rdp.cpp \
	$(SRCDIR)/Glide64/TexBuffer.cpp \
	$(SRCDIR)/Glide64/TexCache.cpp \
	$(SRCDIR)/Glide64/Util.cpp

ifneq ($(HIRES), 0)
SOURCE += \
	$(SRCDIR)/GlideHQ/Ext_TxFilter.cpp \
	$(SRCDIR)/GlideHQ/TxFilterExport.cpp \
	$(SRCDIR)/GlideHQ/TxFilter.cpp \
	$(SRCDIR)/GlideHQ/TxCache.cpp \
	$(SRCDIR)/GlideHQ/TxTexCache.cpp \
	$(SRCDIR)/GlideHQ/TxHiResCache.cpp \
	$(SRCDIR)/GlideHQ/TxQuantize.cpp \
	$(SRCDIR)/GlideHQ/TxUtil.cpp \
	$(SRCDIR)/GlideHQ/TextureFilters.cpp \
	$(SRCDIR)/GlideHQ/TextureFilters_2xsai.cpp \
	$(SRCDIR)/GlideHQ/TextureFilters_hq2x.cpp \
	$(SRCDIR)/GlideHQ/TextureFilters_hq4x.cpp \
	$(SRCDIR)/GlideHQ/TxImage.cpp \
	$(SRCDIR)/GlideHQ/TxReSample.cpp \
	$(SRCDIR)/GlideHQ/TxDbg.cpp \
	$(SRCDIR)/GlideHQ/tc-1.1+/fxt1.c \
	$(SRCDIR)/GlideHQ/tc-1.1+/dxtn.c \
	$(SRCDIR)/GlideHQ/tc-1.1+/wrapper.c \
	$(SRCDIR)/GlideHQ/tc-1.1+/texstore.c

CPPFLAGS += -DTEXTURE_FILTER # -DDUMP_CACHE
LDLIBS += -lboost_filesystem$(BOOST_SUFFIX) -lboost_system$(BOOST_SUFFIX)
endif

ifeq ($(OS),MINGW)
SOURCE += $(SRCDIR)/Glide64/osal_dynamiclib_win32.c
else
SOURCE += $(SRCDIR)/Glide64/osal_dynamiclib_unix.c
endif
 


# generate a list of object files build, make a temporary directory for them

=== debian/changelog ===
mupen64plus-video-glide64mk2 (2.0-2) unstable; urgency=low

  * debian/patches:
    - Add load_hires_cache.patch, Enable the dump_cache to allow loading of
      *.dat files
    - Add kfreebsd_hurd_support.patch, Allow to compile under kFreeBSD and Hurd
    - Add path_max_war.patch, Add a workaround for systems not defining PATH_MAX

 -- Sven Eckelmann <sven@narfation.org>  Sun, 01 Sep 2013 13:06:09 +0200

mupen64plus-video-glide64mk2 (2.0-1) unstable; urgency=low

  * Initial release (Closes: #714994)

 -- Sven Eckelmann <sven@narfation.org>  Wed, 10 Jul 2013 23:25:40 +0200

=== debian/control ===
Source: mupen64plus-video-glide64mk2
Section: games
Priority: optional
Maintainer: Tobias Loose <TobiasLoose@gmx.de>
Uploaders: Sven Eckelmann <sven@narfation.org>
Standards-Version: 3.9.4
Homepage: http://code.google.com/p/mupen64plus/
Vcs-Git: git://anonscm.debian.org/collab-maint/mupen64plus-video-glide64mk2.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/mupen64plus-video-glide64mk2.git
Build-Depends:
 debhelper (>= 9.20130604),
 dpkg-dev (>= 1.16.1.1),
 libboost-filesystem-dev,
 libboost-system-dev,
 libgl1-mesa-dev | libgl-dev,
 libmupen64plus-dev (>= 2.0),
 libpng-dev,
 libsdl2-dev,
 pkg-config,
 zlib1g-dev | libz-dev,

Package: mupen64plus-video-glide64mk2
Architecture: any-i386 any-amd64
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 libtxc-dxtn0,
 mupen64plus-config-abi-2.2,
 mupen64plus-gfx-abi-2.2,
 mupen64plus-vidext-abi-3,
Provides:
 mupen64plus-video,
Breaks:
 libmupen64plus2 (<< 2.0),
Description: Glide64Mk2 high-level graphics emulation for mupen64plus
 High-level graphics emulation plugin for known microcodes based on Glide. This
 version includes a Glide-to-OpenGL wrapper which makes it independent of
 Voodoo cards. It supports advanced graphics effects of the N64 and loading of
 high resolution texture packs.
 .
 It is based on Glide64 Napalm which was ported to Linux and amd64.

Package: mupen64plus-video-glide64mk2-dbg
Section: debug
Priority: extra
Architecture: any-i386 any-amd64
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 mupen64plus-video-glide64mk2 (= ${binary:Version}),
Description: Glide64Mk2 graphics hle for mupen64plus debug symbols package
 High-level graphics emulation plugin for known microcodes based on Glide. This
 version includes a Glide-to-OpenGL wrapper which makes it independent of
 Voodoo cards. It supports advanced graphics effects of the N64 and loading of
 high resolution texture packs.
 .
 This package contains the debug files.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie
export DEB_CFLAGS_MAINT_APPEND=-flto
export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DEB_HOST_GNU_CPU ?= $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
MAKEOPTIONS = V=1 UNAME='$(DEB_HOST_ARCH_OS)' HOST_CPU='$(DEB_HOST_GNU_CPU)' APIDIR=/usr/include/mupen64plus/ DEBUG=1 PREFIX=/usr/ LIBDIR="/usr/lib/$(DEB_HOST_MULTIARCH)" PIC=1 OPTFLAGS="-DNDEBUG" SHAREDIR="/usr/share/games/mupen64plus/" SDL_CONFIG=sdl2-config TXCDXTN=1

DBG_PACKAGE=$(shell dpkg-parsechangelog|grep '^Source: '|sed 's/^Source:\s*//')-dbg

binary binary-arch binary-indep build build-arch build-indep clean install install-arch install-indep:
	dh $@ --sourcedirectory="projects/unix" --parallel --list-missing

get-orig-source:
	$(CURDIR)/debian/get-orig-source.sh

override_dh_auto_test:
	# otherwise dh_auto_test fails with debhelper 9.20130624

override_dh_auto_clean:
	dh_auto_clean -- $(MAKEOPTIONS)

override_dh_auto_build:
	dh_auto_build -- all $(MAKEOPTIONS)

override_dh_auto_install:
	dh_auto_install -- $(MAKEOPTIONS)

override_dh_strip:
	dh_strip -a --dbg-package="$(DBG_PACKAGE)"

override_dh_installchangelogs:
	dh_installchangelogs RELEASE

.PHONY: binary binary-arch binary-indep build build-arch build-indep clean install install-arch install-indep \
	get-orig-source override_dh_auto_clean override_dh_auto_test override_dh_auto_build override_dh_auto_install override_dh_strip override_dh_installchangelogs

=== debian/watch ===
version=3

opts="pgpsigurlmangle=s/$/.asc/" \
 http://bitbucket.org/richard42/mupen64plus-video-glide64mk2/downloads/ \
	/richard42/mupen64plus-video-glide64mk2/downloads/mupen64plus-video-glide64mk2-src-(.*).tar.gz

## mupen64plus-video-glide64mk2 2.5

=== projects/unix/Makefile ===
--- 
+++ 
@@ -92,7 +92,7 @@
   ARCH_DETECTED := 32BITS
   PIC ?= 0
 endif
-ifneq ("$(filter ppc powerpc,$(HOST_CPU))","")
+ifneq ("$(filter ppc macppc socppc powerpc,$(HOST_CPU))","")
   CPU := PPC
   ARCH_DETECTED := 32BITS
   BIG_ENDIAN := 1
@@ -122,8 +122,8 @@
 endif
 
 # base CFLAGS, LDLIBS, and LDFLAGS
-OPTFLAGS ?= -O3 -flto
-WARNFLAGS ?= -Wall
+OPTFLAGS ?= -O3
+WARNFLAGS ?= -Wall -Wno-unused-function
 CFLAGS += $(OPTFLAGS) $(WARNFLAGS) -ffast-math -fno-strict-aliasing -fvisibility=hidden -I../../src -I../../src/Glitch64/inc -DGCC
 CXXFLAGS += -fvisibility-inlines-hidden -std=gnu++0x
 LDFLAGS += $(SHARED)
@@ -156,31 +156,24 @@
 
 # set special flags per-system
 ifeq ($(OS), LINUX)
+  OPTFLAGS += -flto=jobserver
   # only export api symbols
   LDFLAGS += -Wl,-version-script,$(SRCDIR)/video_api_export.ver
   LDLIBS += -ldl
 endif
 ifeq ($(OS), OSX)
-  # Select the proper SDK
-  # Also, SDKs are stored in a different location since XCode 4.3
-  OSX_SDK ?= $(shell sw_vers -productVersion | cut -f1 -f2 -d .)
-  OSX_XCODEMAJ = $(shell xcodebuild -version | grep '[0-9]*\.[0-9]*' | cut -f2 -d ' ' | cut -f1 -d .)
-  OSX_XCODEMIN = $(shell xcodebuild -version | grep '[0-9]*\.[0-9]*' | cut -f2 -d ' ' | cut -f2 -d .)
-  OSX_XCODEGE43 = $(shell echo "`expr $(OSX_XCODEMAJ) \>= 4``expr $(OSX_XCODEMIN) \>= 3`")
-  ifeq ($(OSX_XCODEGE43), 11)
-    OSX_SYSROOT := /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs
-  else
-    OSX_SYSROOT := /Developer/SDKs
-  endif
-
-  CXXFLAGS += -std=c++11 -stdlib=libc++
+  #xcode-select has been around since XCode 3.0, i.e. OS X 10.5
+  OSX_SDK_ROOT = $(shell xcode-select -print-path)/Platforms/MacOSX.platform/Developer/SDKs
+  OSX_SDK_PATH = $(OSX_SDK_ROOT)/$(shell ls $(OSX_SDK_ROOT) | tail -1)
+
   ifeq ($(CPU), X86)
     LDFLAGS += -bundle -L/opt/local/lib
+    CXXFLAGS += -stdlib=libc++
     LDLIBS += -ldl
     ifeq ($(ARCH_DETECTED), 64BITS)
-      CFLAGS += -pipe -arch x86_64 -mmacosx-version-min=$(OSX_SDK) -isysroot $(OSX_SYSROOT)/MacOSX$(OSX_SDK).sdk
+      CFLAGS += -pipe -I /opt/local/include -arch x86_64 -mmacosx-version-min=10.7 -isysroot $(OSX_SDK_PATH)
     else
-      CFLAGS += -pipe -mmmx -msse -fomit-frame-pointer -arch i686 -mmacosx-version-min=$(OSX_SDK) -isysroot $(OSX_SYSROOT)/MacOSX$(OSX_SDK).sdk
+      CFLAGS += -pipe -I /opt/local/include -mmmx -msse -fomit-frame-pointer -arch i686 -mmacosx-version-min=10.7 -isysroot $(OSX_SDK_PATH)
     endif
   endif
 endif
@@ -219,8 +212,11 @@
 CFLAGS += $(LIBPNG_CFLAGS)
 LDLIBS += $(LIBPNG_LDLIBS)
 
-
 # search for OpenGL libraries
+ifeq ($(USE_GLES), 1)
+  CFLAGS += -DUSE_GLES
+  GL_LDLIBS = -lGLESv2
+endif
 ifeq ($(OS), OSX)
   GL_LDLIBS = -framework OpenGL
 endif
@@ -239,18 +235,19 @@
 
 # test for presence of SDL
 ifeq ($(origin SDL_CFLAGS) $(origin SDL_LDLIBS), undefined undefined)
-  SDL_CONFIG = $(CROSS_COMPILE)sdl-config
+  SDL_CONFIG = $(CROSS_COMPILE)sdl2-config
   ifeq ($(shell which $(SDL_CONFIG) 2>/dev/null),)
-    $(error No SDL development libraries found!)
-  endif
+    SDL_CONFIG = $(CROSS_COMPILE)sdl-config
+    ifeq ($(shell which $(SDL_CONFIG) 2>/dev/null),)
+      $(error No SDL development libraries found!)
+    else
+      $(warning Using SDL 1.2 libraries)
+    endif
+  endif
+  SDL_CFLAGS  += $(shell $(SDL_CONFIG) --cflags)
+  SDL_LDLIBS += $(shell $(SDL_CONFIG) --libs)
   ifeq ($(OS),OSX)
-    SDL_CFLAGS  += $(shell $(SDL_CONFIG) --cflags)
-    # sdl-config on mac screws up when we're trying to build a library and not an executable
-    # SDL 1.3 is supposed to fix that, if it's ever released
-    SDL_LDLIBS += -L/usr/local/lib -lSDL -Wl,-framework,Cocoa
-  else
-    SDL_CFLAGS  += $(shell $(SDL_CONFIG) --cflags)
-    SDL_LDLIBS += $(shell $(SDL_CONFIG) --libs)
+    SDL_LDLIBS += -Wl,-framework,Cocoa
   endif
 endif
 CFLAGS += $(SDL_CFLAGS)
@@ -313,6 +310,12 @@
 ifeq ($(NO_ASM), 1)
   CFLAGS += -DNO_ASM
 endif
+ifeq ($(NO_SSE), 1)
+  CFLAGS += -DNOSSE
+endif
+ifeq ($(USE_FRAMESKIPPER), 1)
+  CFLAGS += -DUSE_FRAMESKIPPER
+endif
 
 # set installation options
 ifeq ($(PREFIX),)
@@ -333,10 +336,6 @@
 
 # list of source files to compile
 SOURCE = \
-	$(SRCDIR)/Glitch64/combiner.cpp \
-	$(SRCDIR)/Glitch64/geometry.cpp \
-	$(SRCDIR)/Glitch64/glitchmain.cpp \
-	$(SRCDIR)/Glitch64/textures.cpp \
 	$(SRCDIR)/Glide64/3dmath.cpp \
 	$(SRCDIR)/Glide64/Combine.cpp \
 	$(SRCDIR)/Glide64/Config.cpp \
@@ -351,6 +350,25 @@
 	$(SRCDIR)/Glide64/TexBuffer.cpp \
 	$(SRCDIR)/Glide64/TexCache.cpp \
 	$(SRCDIR)/Glide64/Util.cpp
+
+ifeq ($(USE_GLES), 1)
+	SOURCE += \
+		$(SRCDIR)/Glitch64/OGLEScombiner.cpp \
+		$(SRCDIR)/Glitch64/OGLESgeometry.cpp \
+		$(SRCDIR)/Glitch64/OGLESglitchmain.cpp \
+		$(SRCDIR)/Glitch64/OGLEStextures.cpp
+else
+	SOURCE += \
+		$(SRCDIR)/Glitch64/OGLcombiner.cpp \
+		$(SRCDIR)/Glitch64/OGLgeometry.cpp \
+		$(SRCDIR)/Glitch64/OGLglitchmain.cpp \
+		$(SRCDIR)/Glitch64/OGLtextures.cpp
+endif
+
+ifeq ($(USE_FRAMESKIPPER), 1)
+	SOURCE += \
+		$(SRCDIR)/Glide64/FrameSkipper.cpp
+endif
 
 ifneq ($(HIRES), 0)
 SOURCE += \
@@ -370,20 +388,19 @@
 	$(SRCDIR)/GlideHQ/TxReSample.cpp \
 	$(SRCDIR)/GlideHQ/TxDbg.cpp \
 	$(SRCDIR)/GlideHQ/tc-1.1+/fxt1.c \
-	$(SRCDIR)/GlideHQ/tc-1.1+/dxtn.c \
 	$(SRCDIR)/GlideHQ/tc-1.1+/wrapper.c \
 	$(SRCDIR)/GlideHQ/tc-1.1+/texstore.c
 
-CPPFLAGS += -DTEXTURE_FILTER # -DDUMP_CACHE
+CPPFLAGS += -DTEXTURE_FILTER -DDUMP_CACHE
 LDLIBS += -lboost_filesystem$(BOOST_SUFFIX) -lboost_system$(BOOST_SUFFIX)
+
+  ifeq ($(TXCDXTN), 1)
+    CPPFLAGS += -DTXCDXTN_EXTERNAL
+  else 
+    SOURCE += \
+	$(SRCDIR)/GlideHQ/tc-1.1+/s2tc/s2tc_algorithm.cpp \
+	$(SRCDIR)/GlideHQ/tc-1.1+/s2tc/s2tc_libtxc_dxtn.cpp
+  endif
 endif
 
 ifeq ($(OS),MINGW)
-SOURCE += $(SRCDIR)/Glide64/osal_dynamiclib_win32.c
-else
-SOURCE += $(SRCDIR)/Glide64/osal_dynamiclib_unix.c
-endif
- 
-
-
-# generate a list of object files build, make a temporary directory for them

=== debian/changelog ===
mupen64plus-video-glide64mk2 (2.5-7) unstable; urgency=medium

  * debian/control
    - Automatically select correct Vcs-Git branch
    - Upgraded to policy 4.4.0, no changes required
    - Switch to debhelper 12
  * debian/patches:
    - Add Fix-spelling-error-in-RDP-environment-debug-output.patch, Fix
      spelling error in RDP environment debug output
  * debian/rules
    - Allow one to override pkg-config for crossbuilds
  * debian/copyright
    - Update copyright years to 2019

 -- Sven Eckelmann <sven@narfation.org>  Wed, 28 Aug 2019 00:05:29 +0200

mupen64plus-video-glide64mk2 (2.5-6) unstable; urgency=medium

  * Upgraded to policy 4.2.1
    - remove get-orig-source rule from debian/rules
  * debian/rules
    - Drop (now default) parameter --parallel for dch

 -- Sven Eckelmann <sven@narfation.org>  Thu, 18 Oct 2018 21:55:45 +0200

mupen64plus-video-glide64mk2 (2.5-5) unstable; urgency=medium

  * debian/control
    - Change Vcs-Git to https://
    - update to debhelper 10
    - Switch to salsa URLs for Vcs-*
  * Sort debian control files with `wrap-and-sort -abst`
  * Upgraded to policy 4.1.3, no changes required
  * debian/copyright:
    - Update copyright years
  * debian/rules
    - Remove ddeb migration conflict against pre-stretch package
    - Disable usage of libtxc-dxtn0 which is no longer available
      (Closes: #889606)

 -- Sven Eckelmann <sven@narfation.org>  Mon, 05 Feb 2018 08:37:04 +0100

mupen64plus-video-glide64mk2 (2.5-4) unstable; urgency=medium

  * debian/rules:
    -  Build armhf for reproducible CI with GLES

 -- Sven Eckelmann <sven@narfation.org>  Thu, 14 Jan 2016 23:12:34 +0100

mupen64plus-video-glide64mk2 (2.5-3) unstable; urgency=medium

  * debian/control, debian/rules:
     - Drop mupen64plus-video-glide64mk2-dbg in favor of -dbgsym package
  * debian/patches:
    - Add Fix-spelling-errors.patch, Fix spelling errors
  * Update copyright years in debian/copyright

 -- Sven Eckelmann <sven@narfation.org>  Fri, 01 Jan 2016 14:01:21 +0100

mupen64plus-video-glide64mk2 (2.5-2) unstable; urgency=medium

  * debian/patches:
    - Move patches to alternative DEP-3 format and manage them with gbp pq
    - Add Use-pkg-config-to-find-GLESv2-library.patch, Use pkg-config to
      find GLESv2 library
  * debian/control:
    - Move Vcs URLs from collab-maint to pkg-games
    - Update upstream URLs
    - Set Maintainer to Debian Games Team

 -- Sven Eckelmann <sven@narfation.org>  Thu, 26 Nov 2015 07:52:31 +0100

mupen64plus-video-glide64mk2 (2.5-1) unstable; urgency=medium

  * New Upstream Version
  * debian/control:
    - Upgraded to policy 3.9.6, no changes required
    - Change Vcs-Browser to new alioth CGit URL
  * debian/copyright:
    - Update years
    - Fix errors in paths to specific files
    - Reorder copyright sections and remove some wildcards
    - Add new files in 2.5
  * debian/patches:
    - Remove upstream merged empty_dlist.patch, init_quit.patch,
      kfreebsd_hurd_support.patch, load_hires_cache.patch,
      mesa_fxt1.patch, old_glgethandlearb_program_object.patch,
      path_max_war.patch, s3tc_removal.patch, shader_reset.patch
    - Add revert_forced_linux_flto_jobserver.patch, Remove forced
      flto=jobserver on linux
    - Add fix_negative_framebuffers_indices.patch, Fix negative
      frame_buffer indices
    - Add fix_segfault_on_texture_load.patch, Fix segfault when loading
      4bCI texture with negative ext
  * Add debian/upstream/metadata with some contact addresses of the
    upstream project

 -- Sven Eckelmann <sven@narfation.org>  Sat, 02 May 2015 12:19:45 +0200

mupen64plus-video-glide64mk2 (2.0-3) unstable; urgency=low

  * Upgraded to policy 3.9.5, no changes required
  * debian/patches:
    - Add shader_reset.patch, Set shader again after displaying OSD
    - Add empty_dlist.patch, Handle empty display list to avoid infinite loop
    - Add old_glgethandlearb_program_object.patch, Use glGetHandleARB to get
      program object
    - Add DEP-3 origin information
  * debian/watch:
    - Change upstream check from bitbucket to github
  * debian/copyright:
    - Change upstream source to github
  * debian/get-orig-source.sh
    - Change upstream repository to github
    - Change SCM from Mercurial to Git
  * Update copyright years in debian/copyright
  * Move keyring for signature verification to new debian/upstream/
  * debian/rules:
    - Use Largefile Support enabled C API

 -- Sven Eckelmann <sven@narfation.org>  Sat, 30 Aug 2014 18:10:37 +0200

=== debian/control ===
Source: mupen64plus-video-glide64mk2
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Sven Eckelmann <sven@narfation.org>,
 Tobias Loose <TobiasLoose@gmx.de>,
Standards-Version: 4.4.0
Homepage: http://mupen64plus.org/
Vcs-Git: https://salsa.debian.org/ecsv-guest/mupen64plus-video-glide64mk2.git -b master
Vcs-Browser: https://salsa.debian.org/ecsv-guest/mupen64plus-video-glide64mk2
Build-Depends:
 debhelper-compat (= 12),
 dpkg-dev (>= 1.16.1.1),
 libboost-filesystem-dev,
 libboost-system-dev,
 libgl1-mesa-dev [any-i386 any-amd64] | libgl-dev [any-i386 any-amd64],
 libgles2-mesa-dev [armhf],
 libmupen64plus-dev (>= 2.0),
 libpng-dev,
 libsdl2-dev,
 pkg-config,
 zlib1g-dev | libz-dev,

Package: mupen64plus-video-glide64mk2
Architecture: any-amd64 any-i386
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 mupen64plus-config-abi-2.2,
 mupen64plus-gfx-abi-2.2,
 mupen64plus-vidext-abi-3,
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 mupen64plus-video,
Breaks:
 libmupen64plus2 (<< 2.0),
Description: Glide64Mk2 high-level graphics emulation for mupen64plus
 High-level graphics emulation plugin for known microcodes based on Glide. This
 version includes a Glide-to-OpenGL wrapper which makes it independent of
 Voodoo cards. It supports advanced graphics effects of the N64 and loading of
 high resolution texture packs.
 .
 It is based on Glide64 Napalm which was ported to Linux and amd64.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

-include /usr/share/dpkg/buildtools.mk

export PKG_CONFIG ?= pkg-config
export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie
export DEB_CFLAGS_MAINT_APPEND=-flto
export DEB_CPPFLAGS_MAINT_APPEND = -D_FILE_OFFSET_BITS=64
export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DEB_HOST_GNU_CPU ?= $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

MAKEOPTIONS = V=1 UNAME='$(DEB_HOST_ARCH_OS)' HOST_CPU='$(DEB_HOST_GNU_CPU)' APIDIR=/usr/include/mupen64plus/ DEBUG=1 PREFIX=/usr/ LIBDIR="/usr/lib/$(DEB_HOST_MULTIARCH)" PIC=1 OPTFLAGS="-DNDEBUG" SHAREDIR="/usr/share/games/mupen64plus/" SDL_CONFIG=sdl2-config

ifeq ($(DEB_HOST_ARCH),armhf)
MAKEOPTIONS += USE_GLES=1 NO_SSE=1
endif

binary binary-arch binary-indep build build-arch build-indep clean install install-arch install-indep:
	dh $@ --sourcedirectory="projects/unix"

override_dh_auto_test:
	# otherwise dh_auto_test fails with debhelper 9.20130624

override_dh_auto_clean:
	dh_auto_clean -- $(MAKEOPTIONS)

override_dh_auto_build:
	dh_auto_build -- all $(MAKEOPTIONS)

override_dh_auto_install:
	dh_auto_install -- $(MAKEOPTIONS)

override_dh_installchangelogs:
	dh_installchangelogs RELEASE

.PHONY: binary binary-arch binary-indep build build-arch build-indep clean install install-arch install-indep \
	override_dh_auto_clean override_dh_auto_test override_dh_auto_build override_dh_auto_install override_dh_installchangelogs

=== debian/watch ===
version=3

opts="pgpsigurlmangle=s/$/.asc/" \
 https://github.com/mupen64plus/mupen64plus-video-glide64mk2/releases \
	/mupen64plus/mupen64plus-video-glide64mk2/releases/download/[^/]+/mupen64plus-video-glide64mk2-src-(.*\d).tar.gz

## mupen64plus-video-glide64mk2 2.5.9

=== projects/unix/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 # *   Mupen64plus-video-glide64mk2 - Makefile                               *
-# *   Mupen64Plus homepage: http://code.google.com/p/mupen64plus/           *
+# *   Mupen64Plus homepage: https://mupen64plus.org/                        *
 # *   Copyright (C) 2010 Jon Ring                                           *
 # *   Copyright (C) 2007-2009 Richard Goedeken                              *
 # *   Copyright (C) 2007-2008 DarkJeztr Tillin9                             *
@@ -55,7 +55,6 @@
   OS = FREEBSD
   SO_EXTENSION = so
   SHARED = -shared
-  $(warning OS type "$(UNAME)" not officially supported.')
 endif
 ifneq ("$(filter GNU/kFreeBSD kfreebsd,$(UNAME))","")
   OS = LINUX
@@ -71,7 +70,7 @@
   CPPFLAGS += -DNO_FILTER_THREAD
 endif
 ifeq ("$(OS)","NONE")
-  $(error OS type "$(UNAME)" not supported.  Please file bug report at 'http://code.google.com/p/mupen64plus/issues')
+  $(error OS type "$(UNAME)" not supported.  Please file bug report at 'https://github.com/mupen64plus/mupen64plus-core/issues')
 endif
 
 # detect system architecture
@@ -98,6 +97,7 @@
   BIG_ENDIAN := 1
   PIC ?= 1
   NO_ASM := 1
+  NO_SSE := 1
   $(warning Architecture "$(HOST_CPU)" not officially supported.')
 endif
 ifneq ("$(filter ppc64 powerpc64,$(HOST_CPU))","")
@@ -114,15 +114,25 @@
     ARCH_DETECTED := 32BITS
     PIC ?= 1
     NO_ASM := 1
+    NO_SSE := 1
     $(warning Architecture "$(HOST_CPU)" not officially supported.')
   endif
 endif
+ifneq ("$(filter aarch64,$(HOST_CPU))","")
+    CPU := AARCH
+    ARCH_DETECTED := 64BITS
+    PIC ?= 1
+    NEW_DYNAREC := 1
+    NO_ASM := 1
+    NO_SSE := 1
+endif
+
 ifeq ("$(CPU)","NONE")
-  $(error CPU type "$(HOST_CPU)" not supported.  Please file bug report at 'http://code.google.com/p/mupen64plus/issues')
+  $(error CPU type "$(HOST_CPU)" not supported.  Please file bug report at 'https://github.com/mupen64plus/mupen64plus-core/issues')
 endif
 
 # base CFLAGS, LDLIBS, and LDFLAGS
-OPTFLAGS ?= -O3
+OPTFLAGS ?= -O3 -flto
 WARNFLAGS ?= -Wall -Wno-unused-function
 CFLAGS += $(OPTFLAGS) $(WARNFLAGS) -ffast-math -fno-strict-aliasing -fvisibility=hidden -I../../src -I../../src/Glitch64/inc -DGCC
 CXXFLAGS += -fvisibility-inlines-hidden -std=gnu++0x
@@ -154,18 +164,21 @@
   LDFLAGS += -Wl,-m,elf_i386
 endif
 
+ifeq ($(origin PKG_CONFIG), undefined)
+  PKG_CONFIG = $(CROSS_COMPILE)pkg-config
+  ifeq ($(shell which $(PKG_CONFIG) 2>/dev/null),)
+    $(error $(PKG_CONFIG) not found)
+  endif
+endif
+
 # set special flags per-system
 ifeq ($(OS), LINUX)
-  OPTFLAGS += -flto=jobserver
   # only export api symbols
   LDFLAGS += -Wl,-version-script,$(SRCDIR)/video_api_export.ver
   LDLIBS += -ldl
 endif
 ifeq ($(OS), OSX)
-  #xcode-select has been around since XCode 3.0, i.e. OS X 10.5
-  OSX_SDK_ROOT = $(shell xcode-select -print-path)/Platforms/MacOSX.platform/Developer/SDKs
-  OSX_SDK_PATH = $(OSX_SDK_ROOT)/$(shell ls $(OSX_SDK_ROOT) | tail -1)
-
+  OSX_SDK_PATH = $(shell xcrun --sdk macosx --show-sdk-path)
   ifeq ($(CPU), X86)
     LDFLAGS += -bundle -L/opt/local/lib
     CXXFLAGS += -stdlib=libc++
@@ -176,20 +189,22 @@
       CFLAGS += -pipe -I /opt/local/include -mmmx -msse -fomit-frame-pointer -arch i686 -mmacosx-version-min=10.7 -isysroot $(OSX_SDK_PATH)
     endif
   endif
+  # use system zlib on OSX
+  ZLIB_LDLIBS += -lz
 endif
 ifeq ($(OS), FREEBSD)
   LDLIBS += -lc
 endif
-
-ifeq ($(origin PKG_CONFIG), undefined)
-  PKG_CONFIG = $(CROSS_COMPILE)pkg-config
-  ifeq ($(shell which $(PKG_CONFIG) 2>/dev/null),)
-    $(error $(PKG_CONFIG) not found)
-  endif
-endif
-
-ifeq ($(OS), OSX) # use system zlib on OSX
-  ZLIB_LDLIBS += -lz
+ifeq ($(OS), MINGW)
+  ifeq ($(origin GLEW_CFLAGS) $(origin GLEW_LDLIBS), undefined undefined)
+    ifeq ($(shell $(PKG_CONFIG) --modversion glew 2>/dev/null),)
+      $(error No GLEW development libraries found!)
+    endif
+    GLEW_CFLAGS += $(shell $(PKG_CONFIG) --cflags glew)
+    GLEW_LDLIBS +=  $(shell $(PKG_CONFIG) --libs glew)
+  endif
+  CFLAGS += $(GLEW_CFLAGS)
+  LDLIBS += $(GLEW_LDLIBS)
 endif
 
 ifeq ($(origin ZLIB_CFLAGS) $(origin ZLIB_LDLIBS), undefined undefined)
@@ -213,9 +228,14 @@
 LDLIBS += $(LIBPNG_LDLIBS)
 
 # search for OpenGL libraries
+ifeq ($(VC), 1)
+  GL_CFLAGS += -I/opt/vc/include -I/opt/vc/include/interface/vcos/pthreads -I/opt/vc/include/interface/vmcs_host/linux
+  GL_LDLIBS += -lm -L/opt/vc/lib -lEGL -lbcm_host
+  USE_GLES=1
+endif
 ifeq ($(USE_GLES), 1)
   CFLAGS += -DUSE_GLES
-  GL_LDLIBS = -lGLESv2
+  GL_LDLIBS += -lGLESv2
 endif
 ifeq ($(OS), OSX)
   GL_LDLIBS = -framework OpenGL
@@ -384,23 +404,3 @@
 	$(SRCDIR)/GlideHQ/TextureFilters_2xsai.cpp \
 	$(SRCDIR)/GlideHQ/TextureFilters_hq2x.cpp \
 	$(SRCDIR)/GlideHQ/TextureFilters_hq4x.cpp \
-	$(SRCDIR)/GlideHQ/TxImage.cpp \
-	$(SRCDIR)/GlideHQ/TxReSample.cpp \
-	$(SRCDIR)/GlideHQ/TxDbg.cpp \
-	$(SRCDIR)/GlideHQ/tc-1.1+/fxt1.c \
-	$(SRCDIR)/GlideHQ/tc-1.1+/wrapper.c \
-	$(SRCDIR)/GlideHQ/tc-1.1+/texstore.c
-
-CPPFLAGS += -DTEXTURE_FILTER -DDUMP_CACHE
-LDLIBS += -lboost_filesystem$(BOOST_SUFFIX) -lboost_system$(BOOST_SUFFIX)
-
-  ifeq ($(TXCDXTN), 1)
-    CPPFLAGS += -DTXCDXTN_EXTERNAL
-  else 
-    SOURCE += \
-	$(SRCDIR)/GlideHQ/tc-1.1+/s2tc/s2tc_algorithm.cpp \
-	$(SRCDIR)/GlideHQ/tc-1.1+/s2tc/s2tc_libtxc_dxtn.cpp
-  endif
-endif
-
-ifeq ($(OS),MINGW)

=== debian/changelog ===
mupen64plus-video-glide64mk2 (2.5.9-1) experimental; urgency=medium

  * New Upstream Version
  * debian/rules
    - Allow one to override pkg-config for crossbuilds
  * debian/control
    - Upgraded to policy 4.3.0, no changes required
    - Switch to debhelper 12
  * debian/copyright
    - Update copyright years to 2019

 -- Sven Eckelmann <sven@narfation.org>  Sat, 02 Mar 2019 20:17:06 +0100

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,12 @@
 Uploaders:
  Sven Eckelmann <sven@narfation.org>,
  Tobias Loose <TobiasLoose@gmx.de>,
-Standards-Version: 4.4.0
+Standards-Version: 4.3.0
 Homepage: http://mupen64plus.org/
-Vcs-Git: https://salsa.debian.org/ecsv-guest/mupen64plus-video-glide64mk2.git -b master
+Vcs-Git: https://salsa.debian.org/ecsv-guest/mupen64plus-video-glide64mk2.git
 Vcs-Browser: https://salsa.debian.org/ecsv-guest/mupen64plus-video-glide64mk2
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper (>= 12),
  dpkg-dev (>= 1.16.1.1),
  libboost-filesystem-dev,
  libboost-system-dev,

## mupen64plus-video-glide64mk2 2.5.9%2B27%2Bga07050d

=== projects/unix/Makefile ===
--- 
+++ 
@@ -108,6 +108,15 @@
   NO_ASM := 1
   $(warning Architecture "$(HOST_CPU)" not officially supported.')
 endif
+ifneq ("$(filter ppc64le powerpc64le,$(HOST_CPU))","")
+  CPU := PPC
+  ARCH_DETECTED := 64BITS
+  BIG_ENDIAN := 0
+  PIC ?= 1
+  NO_ASM := 1
+  NO_SSE := 1
+  $(warning Architecture "$(HOST_CPU)" not officially supported.')
+endif
 ifneq ("$(filter arm%,$(HOST_CPU))","")
   ifeq ("$(filter arm%b,$(HOST_CPU))","")
     CPU := ARM
@@ -126,15 +135,25 @@
     NO_ASM := 1
     NO_SSE := 1
 endif
-
+ifneq ("$(filter riscv64,$(HOST_CPU))","")
+    CPU := RISCV64
+    ARCH_DETECTED := 64BITS
+    PIC ?= 1
+    NO_ASM := 1
+    NO_SSE := 1
+    $(warning Architecture "$(HOST_CPU)" not officially supported.)
+endif
 ifeq ("$(CPU)","NONE")
   $(error CPU type "$(HOST_CPU)" not supported.  Please file bug report at 'https://github.com/mupen64plus/mupen64plus-core/issues')
 endif
+
+SRCDIR = ../../src
+OBJDIR = _obj$(POSTFIX)
 
 # base CFLAGS, LDLIBS, and LDFLAGS
 OPTFLAGS ?= -O3 -flto
 WARNFLAGS ?= -Wall -Wno-unused-function
-CFLAGS += $(OPTFLAGS) $(WARNFLAGS) -ffast-math -fno-strict-aliasing -fvisibility=hidden -I../../src -I../../src/Glitch64/inc -DGCC
+CFLAGS += $(OPTFLAGS) $(WARNFLAGS) -ffast-math -fno-strict-aliasing -fvisibility=hidden -I$(SRCDIR) -I$(SRCDIR)/Glitch64/inc -DGCC
 CXXFLAGS += -fvisibility-inlines-hidden -std=gnu++0x
 LDFLAGS += $(SHARED)
 BOOST_SUFFIX ?=
@@ -160,8 +179,20 @@
   ifeq ($(OS), FREEBSD)
     $(error Do not use the BITS=32 option with FreeBSD, use -m32 and -m elf_i386)
   endif
-  CFLAGS += -m32
-  LDFLAGS += -Wl,-m,elf_i386
+  ifneq ($(OS), OSX)
+    ifeq ($(OS), MINGW)
+      LDFLAGS += -Wl,-m,i386pe
+    else
+      CFLAGS += -m32
+      LDFLAGS += -Wl,-m,elf_i386
+    endif
+  endif
+endif
+
+ifeq ($(ARCH_DETECTED), 64BITS)
+  ifeq ($(OS), MINGW)
+    LDFLAGS += -Wl,-m,i386pep
+  endif
 endif
 
 ifeq ($(origin PKG_CONFIG), undefined)
@@ -351,9 +382,6 @@
   PLUGINDIR := $(LIBDIR)/mupen64plus
 endif
 
-SRCDIR = ../../src
-OBJDIR = _obj$(POSTFIX)
-
 # list of source files to compile
 SOURCE = \
 	$(SRCDIR)/Glide64/3dmath.cpp \
@@ -382,25 +410,3 @@
 		$(SRCDIR)/Glitch64/OGLcombiner.cpp \
 		$(SRCDIR)/Glitch64/OGLgeometry.cpp \
 		$(SRCDIR)/Glitch64/OGLglitchmain.cpp \
-		$(SRCDIR)/Glitch64/OGLtextures.cpp
-endif
-
-ifeq ($(USE_FRAMESKIPPER), 1)
-	SOURCE += \
-		$(SRCDIR)/Glide64/FrameSkipper.cpp
-endif
-
-ifneq ($(HIRES), 0)
-SOURCE += \
-	$(SRCDIR)/GlideHQ/Ext_TxFilter.cpp \
-	$(SRCDIR)/GlideHQ/TxFilterExport.cpp \
-	$(SRCDIR)/GlideHQ/TxFilter.cpp \
-	$(SRCDIR)/GlideHQ/TxCache.cpp \
-	$(SRCDIR)/GlideHQ/TxTexCache.cpp \
-	$(SRCDIR)/GlideHQ/TxHiResCache.cpp \
-	$(SRCDIR)/GlideHQ/TxQuantize.cpp \
-	$(SRCDIR)/GlideHQ/TxUtil.cpp \
-	$(SRCDIR)/GlideHQ/TextureFilters.cpp \
-	$(SRCDIR)/GlideHQ/TextureFilters_2xsai.cpp \
-	$(SRCDIR)/GlideHQ/TextureFilters_hq2x.cpp \
-	$(SRCDIR)/GlideHQ/TextureFilters_hq4x.cpp \

=== debian/control ===
--- 
+++ 
@@ -5,18 +5,18 @@
 Uploaders:
  Sven Eckelmann <sven@narfation.org>,
  Tobias Loose <TobiasLoose@gmx.de>,
-Standards-Version: 4.3.0
-Homepage: http://mupen64plus.org/
-Vcs-Git: https://salsa.debian.org/ecsv-guest/mupen64plus-video-glide64mk2.git
-Vcs-Browser: https://salsa.debian.org/ecsv-guest/mupen64plus-video-glide64mk2
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
+Homepage: https://mupen64plus.org/
+Vcs-Git: https://salsa.debian.org/games-team/mupen64plus-video-glide64mk2.git -b debian/unstable
+Vcs-Browser: https://salsa.debian.org/games-team/mupen64plus-video-glide64mk2
 Build-Depends:
- debhelper (>= 12),
- dpkg-dev (>= 1.16.1.1),
+ debhelper-compat (= 13),
  libboost-filesystem-dev,
  libboost-system-dev,
- libgl1-mesa-dev [any-i386 any-amd64] | libgl-dev [any-i386 any-amd64],
+ libgl-dev [any-i386 any-amd64],
  libgles2-mesa-dev [armhf],
- libmupen64plus-dev (>= 2.0),
+ libmupen64plus-dev,
  libpng-dev,
  libsdl2-dev,
  pkg-config,
@@ -35,8 +35,6 @@
  ${shlibs:Depends},
 Provides:
  mupen64plus-video,
-Breaks:
- libmupen64plus2 (<< 2.0),
 Description: Glide64Mk2 high-level graphics emulation for mupen64plus
  High-level graphics emulation plugin for known microcodes based on Glide. This
  version includes a Glide-to-OpenGL wrapper which makes it independent of

## mupen64plus-video-glide64mk2 2.5.9+25+g95229fe

=== debian/changelog ===
mupen64plus-video-glide64mk2 (2.5.9+25+g95229fe-2) unstable; urgency=medium

  * debian/patches:
    - Add rdp-Avoid-signed-overflow-during-texture-block-loading.patch,
      Fix "swapped" pixels in various textures with GCC 12

 -- Sven Eckelmann <sven@narfation.org>  Tue, 15 Nov 2022 22:04:30 +0100

mupen64plus-video-glide64mk2 (2.5.9+25+g95229fe-1) unstable; urgency=medium

  * New Upstream Snapshot from 5dba5bd533911b0306dfad7349f0ed96bf47ec76
  * Upload to unstable

 -- Sven Eckelmann <sven@narfation.org>  Tue, 15 Nov 2022 13:57:09 +0100

mupen64plus-video-glide64mk2 (2.5-8) unstable; urgency=medium

  * debian/control:
    - Upgraded to policy 4.6.1, no changes required
    - Allow build without (fake)root
    - Move repository to from ecsv-guest to games-team
    - Switch default Vcs-Git branch to debian/unstable
    - Switch to debhelper compat 13
    - Remove versioned constraints unnecessary since buster
    - Use secure URI in Homepage field
    - Replace Build-Depends libgl1-mesa-dev with libgl-dev
  * debian/copyright
    - Update copyright years to 2022
  * Drop duplicated fields from upstream/metadata
  * Update debian/watch for format 4
  * debian/rules:
    - Drop default flag --as-needed from linker flags
  * Remove constraints unnecessary since buster (oldstable):
    + mupen64plus-video-glide64mk2: Drop versioned constraint on libmupen64plus2 in
      Breaks.

 -- Sven Eckelmann <sven@narfation.org>  Mon, 14 Nov 2022 19:01:31 +0100

## mupen64plus-video-glide64mk2 2.5.9+27+ga07050d

=== debian/changelog ===
mupen64plus-video-glide64mk2 (2.5.9+27+ga07050d-1) unstable; urgency=medium

  * New Upstream Snapshot from a07050d143dddff921180b081164d46aaef2eb29
  * debian/rules:
    - disallow compiler to drop code related to signed integer overflows during
      optimization
  * Override invalid lintian warnings/errors
  * debian/control:
    - Upgraded to policy 4.6.2, no changes required

 -- Sven Eckelmann <sven@narfation.org>  Sat, 31 Dec 2022 18:52:10 +0100

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,10 @@
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie
 export DEB_CFLAGS_MAINT_APPEND=-flto
 export DEB_CPPFLAGS_MAINT_APPEND = -D_FILE_OFFSET_BITS=64
-export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed
+
+# mupen64plus and its plugins sometimes use signed integer overflows
+# the compiler must not optimize them away due to their "undefined behavior"
+DEB_CFLAGS_MAINT_APPEND=-fno-aggressive-loop-optimizations -fno-strict-overflow
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 DEB_HOST_GNU_CPU ?= $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)

=== debian/watch ===
--- 
+++ 
@@ -1,4 +1,4 @@
-version=3
+version=4
 
 opts="pgpsigurlmangle=s/$/.asc/" \
  https://github.com/mupen64plus/mupen64plus-video-glide64mk2/releases \

## mupen64plus-video-glide64mk2 2.6.0

=== projects/unix/Makefile ===
--- 
+++ 
@@ -44,7 +44,6 @@
   OS = OSX
   SO_EXTENSION = dylib
   SHARED = -bundle
-  BOOST_SUFFIX = -mt
 endif
 ifeq ("$(UNAME)","FreeBSD")
   OS = FREEBSD
@@ -66,7 +65,6 @@
   SO_EXTENSION = dll
   SHARED = -shared
   PIC = 0
-  BOOST_SUFFIX = -mt
   CPPFLAGS += -DNO_FILTER_THREAD
 endif
 ifeq ("$(OS)","NONE")
@@ -154,9 +152,8 @@
 OPTFLAGS ?= -O3 -flto
 WARNFLAGS ?= -Wall -Wno-unused-function
 CFLAGS += $(OPTFLAGS) $(WARNFLAGS) -ffast-math -fno-strict-aliasing -fvisibility=hidden -I$(SRCDIR) -I$(SRCDIR)/Glitch64/inc -DGCC
-CXXFLAGS += -fvisibility-inlines-hidden -std=gnu++0x
+CXXFLAGS += -fvisibility-inlines-hidden -std=gnu++17
 LDFLAGS += $(SHARED)
-BOOST_SUFFIX ?=
 
 ifeq ($(CPU), X86)
   CFLAGS +=  -mmmx -msse
@@ -215,9 +212,9 @@
     CXXFLAGS += -stdlib=libc++
     LDLIBS += -ldl
     ifeq ($(ARCH_DETECTED), 64BITS)
-      CFLAGS += -pipe -I /opt/local/include -arch x86_64 -mmacosx-version-min=10.7 -isysroot $(OSX_SDK_PATH)
+      CFLAGS += -pipe -I /opt/local/include -arch x86_64 -mmacosx-version-min=10.15 -isysroot $(OSX_SDK_PATH)
     else
-      CFLAGS += -pipe -I /opt/local/include -mmmx -msse -fomit-frame-pointer -arch i686 -mmacosx-version-min=10.7 -isysroot $(OSX_SDK_PATH)
+      CFLAGS += -pipe -I /opt/local/include -mmmx -msse -fomit-frame-pointer -arch i686 -mmacosx-version-min=10.15 -isysroot $(OSX_SDK_PATH)
     endif
   endif
   # use system zlib on OSX
@@ -410,3 +407,6 @@
 		$(SRCDIR)/Glitch64/OGLcombiner.cpp \
 		$(SRCDIR)/Glitch64/OGLgeometry.cpp \
 		$(SRCDIR)/Glitch64/OGLglitchmain.cpp \
+		$(SRCDIR)/Glitch64/OGLtextures.cpp
+endif
+

=== debian/changelog ===
mupen64plus-video-glide64mk2 (2.6.0-2) unstable; urgency=medium

  * debian/control:
    - Remove unused dependency to libboost-*
    - Upgraded to policy 4.7.2, no changes required

 -- Sven Eckelmann <sven@narfation.org>  Sat, 01 Mar 2025 20:58:02 +0100

mupen64plus-video-glide64mk2 (2.6.0-1) unstable; urgency=medium

  * New Upstream Version
  * debian/rules:
    - Use DEB_BUILD_MAINT_OPTIONS to set lto flags
    - Use DEB_BUILD_MAINT_OPTIONS to set lfs flag
  * debian/control:
    - Replace pkg-config with pkgconf
  * debian/watch:
    - Switch to api.github.com to check for releases

 -- Sven Eckelmann <sven@narfation.org>  Mon, 15 Jul 2024 10:27:46 +0200

=== debian/control ===
--- 
+++ 
@@ -5,21 +5,19 @@
 Uploaders:
  Sven Eckelmann <sven@narfation.org>,
  Tobias Loose <TobiasLoose@gmx.de>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://mupen64plus.org/
 Vcs-Git: https://salsa.debian.org/games-team/mupen64plus-video-glide64mk2.git -b debian/unstable
 Vcs-Browser: https://salsa.debian.org/games-team/mupen64plus-video-glide64mk2
 Build-Depends:
  debhelper-compat (= 13),
- libboost-filesystem-dev,
- libboost-system-dev,
  libgl-dev [any-i386 any-amd64],
  libgles2-mesa-dev [armhf],
  libmupen64plus-dev,
  libpng-dev,
  libsdl2-dev,
- pkg-config,
+ pkgconf,
  zlib1g-dev | libz-dev,
 
 Package: mupen64plus-video-glide64mk2

=== debian/rules ===
--- 
+++ 
@@ -4,9 +4,7 @@
 -include /usr/share/dpkg/buildtools.mk
 
 export PKG_CONFIG ?= pkg-config
-export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie
-export DEB_CFLAGS_MAINT_APPEND=-flto
-export DEB_CPPFLAGS_MAINT_APPEND = -D_FILE_OFFSET_BITS=64
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie optimize=+lto abi=+lfs
 
 # mupen64plus and its plugins sometimes use signed integer overflows
 # the compiler must not optimize them away due to their "undefined behavior"
